/*
 * PCI Express Half-Mini Card to Full-Mini-only socket bracket, pin variant, 2x2
 *
 * Copyright (C) 2019  Libiquity LLC
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

use <../parts/pcie-mc-pin-bracket.scad>

rows    = 2;  /* Rows of brackets */
cols    = 2;  /* Columns of brackets */
spacing = 2;  /* Spacing between brackets */

l = pcie_mc_pin_bracket_length() + spacing;
w = pcie_mc_pin_bracket_width() + spacing;
for (y = [l * (rows / 2 - 0.5) * -1 : l : l * (rows / 2 - 0.5) + l/2]) {
	for (x = [w * (cols / 2 - 0.5) * -1 : w : w * (cols / 2 - 0.5) + w/2]) {
		translate(v = [x, y, 0]) pcie_mc_pin_bracket();
	}
}
